MWAWFont::Script Struct Reference

a small struct to define the script position in MWAWFont More...

`#include <MWAWFont.hxx>`

## Public Member Functions

| Script (float delta=0, librevenge::RVNGUnit deltaUnit=librevenge::RVNG_PERCENT, int scale=100)
| constructor
bool | isSet () const
| return true if the position is not default
std::string | str (float fSize) const
| return a string which correspond to style:text-position
bool | operator== (Script const &oth) const
| operator==
bool | operator!= (Script const &oth) const
| operator!=
bool | operator< (Script const &oth) const
| operator<
bool | operator<= (Script const &oth) const
| operator<=
bool | operator> (Script const &oth) const
| operator>
bool | operator>= (Script const &oth) const
| operator>=
int | cmp (Script const &oth) const
| small comparison function

## Static Public Member Functions

static Script | sub ()
| return a yposition which correspond to a basic subscript
static Script | sub100 ()
| return a yposition which correspond to a basic subscript100
static Script | super ()
| return a yposition which correspond to a basic superscript
static Script | super100 ()
| return a yposition which correspond to a basic superscript100

## Public Attributes

float | m_delta
| the ydelta
librevenge::RVNGUnit | m_deltaUnit
| the ydelta unit ( point or percent )
int | m_scale
| the font scaling ( in percent )

## Detailed Description

a small struct to define the script position in MWAWFont

## Constructor & Destructor Documentation

## Script()

MWAWFont::Script::Script | ( | float | delta = 0,
|  | librevenge::RVNGUnit | deltaUnit = librevenge::RVNG_PERCENT,
|  | int | scale = 100 )

inline explicit

constructor

Referenced by cmp(), isSet(), operator!=(), operator<(), operator<=(), operator==(), operator>(), operator>=(), sub(), sub100(), super(), and super100().

## Member Function Documentation

## cmp()

int MWAWFont::Script::cmp | ( | Script const & | oth | ) | const

inline

small comparison function

Referenced by MWAWFont::cmp(), operator!=(), operator<(), operator<=(), operator==(), operator>(), and operator>=().

## isSet()

bool MWAWFont::Script::isSet | ( |  | ) | const

inline

return true if the position is not default

## operator!=()

bool MWAWFont::Script::operator!= | ( | Script const & | oth | ) | const

inline

operator!=

## operator<()

bool MWAWFont::Script::operator< | ( | Script const & | oth | ) | const

inline

operator<

## operator<=()

bool MWAWFont::Script::operator<= | ( | Script const & | oth | ) | const

inline

operator<=

## operator==()

bool MWAWFont::Script::operator== | ( | Script const & | oth | ) | const

inline

operator==

## operator>()

bool MWAWFont::Script::operator> | ( | Script const & | oth | ) | const

inline

operator>

## operator>=()

bool MWAWFont::Script::operator>= | ( | Script const & | oth | ) | const

inline

operator>=

## str()

std::string MWAWFont::Script::str | ( | float | fSize | ) | const

return a string which correspond to style:text-position

## sub()

Script MWAWFont::Script::sub | ( |  | ) |

inline static

return a yposition which correspond to a basic subscript

Referenced by BeagleWksTextInternal::Font::getFont(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), LightWayTxtText::readFont2(), ClarisWksStyleManager::readFontAndPos(), and NisusWrtText::readFonts().

## sub100()

Script MWAWFont::Script::sub100 | ( |  | ) |

inline static

return a yposition which correspond to a basic subscript100

Referenced by RagTimeText::readCharProperties(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MsWks3Text::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MsWrd1Parser::readFont(), SpringBoardParser::readFont(), WordMakerParser::readFont(), ClarisWksStyleManager::readFontAndPos(), MindWrtParser::readFonts(), RagTimeText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), MacWrtParser::readInformations(), RagTimeSpreadsheet::readSpreadsheetCellV2(), GreatWksSSParser::readStyles(), MsWksTable::readTable(), MacWrtParser::readText(), WriteNowText::send(), GreatWksText::sendSimpleTextbox(), StudentWritingCParser::sendText(), and FullWrtTextInternal::Font::update().

## super()

Script MWAWFont::Script::super | ( |  | ) |

inline static

return a yposition which correspond to a basic superscript

Referenced by BeagleWksTextInternal::Font::getFont(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFont2(), ClarisWksStyleManager::readFontAndPos(), NisusWrtText::readFonts(), and MacDraft5Parser::sendText().

## super100()

Script MWAWFont::Script::super100 | ( |  | ) |

inline static

return a yposition which correspond to a basic superscript100

Referenced by RagTimeText::readCharProperties(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), GreatWksText::readFont(), HanMacWrdJText::readFont(), HanMacWrdKText::readFont(), MsWks3Text::readFont(), MsWks4Text::readFont(), MsWksGraph::readFont(), MsWrd1Parser::readFont(), SpringBoardParser::readFont(), WordMakerParser::readFont(), ClarisWksStyleManager::readFontAndPos(), MindWrtParser::readFonts(), RagTimeText::readFonts(), WriterPlsParser::readFonts(), MacDrawProStyleManager::readFontStyles(), MacWrtParser::readInformations(), RagTimeSpreadsheet::readSpreadsheetCellV2(), GreatWksSSParser::readStyles(), MsWksTable::readTable(), MacWrtParser::readText(), WriteNowText::send(), GreatWksText::sendSimpleTextbox(), StudentWritingCParser::sendText(), and FullWrtTextInternal::Font::update().

## Member Data Documentation

## m_delta

float MWAWFont::Script::m_delta

the ydelta

Referenced by cmp(), Script(), and str().

## m_deltaUnit

librevenge::RVNGUnit MWAWFont::Script::m_deltaUnit

the ydelta unit ( point or percent )

Referenced by cmp(), Script(), and str().

## m_scale

int MWAWFont::Script::m_scale

the font scaling ( in percent )

Referenced by cmp(), Script(), and str().

The documentation for this struct was generated from the following files:

- MWAWFont.hxx
- MWAWFont.cxx